> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Report

> B6c — create report (alias of POST /reports/generate).



## OpenAPI

````yaml /openapi.json post /v1/reports
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/reports:
    post:
      tags:
        - reports
      summary: Create Report
      description: B6c — create report (alias of POST /reports/generate).
      operationId: create_report_v1_reports_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateReportRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Create Report V1 Reports Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    GenerateReportRequest:
      properties:
        filters:
          anyOf:
            - $ref: '#/components/schemas/GenerateFilters'
            - type: 'null'
        format:
          $ref: '#/components/schemas/ReportFormat'
          default: pdf
        title:
          anyOf:
            - maxLength: 200
              type: string
            - type: 'null'
          title: Title
        type:
          $ref: '#/components/schemas/ReportType'
        window:
          anyOf:
            - $ref: '#/components/schemas/ReportWindow'
            - type: 'null'
      required:
        - type
      title: GenerateReportRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GenerateFilters:
      properties:
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
        pattern_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pattern Id
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        team:
          anyOf:
            - type: string
            - type: 'null'
          title: Team
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
      title: GenerateFilters
      type: object
    ReportFormat:
      enum:
        - csv
        - xlsx
        - json
        - pdf
        - pptx
        - parquet
      title: ReportFormat
      type: string
    ReportType:
      enum:
        - risk_summary
        - pattern_analysis
        - prediction_forecast
        - recommendations
        - audit_trail
        - executive_briefing
      title: ReportType
      type: string
    ReportWindow:
      properties:
        from:
          title: From
          type: string
        to:
          title: To
          type: string
      required:
        - from
        - to
      title: ReportWindow
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````